﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI.Docking;

namespace _946471
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        public RadForm1()
        {
            InitializeComponent();
            wnd1.CloseAction = DockWindowCloseAction.Hide;
            wnd2.CloseAction = DockWindowCloseAction.Hide;
            wnd3.CloseAction = DockWindowCloseAction.CloseAndDispose;
        }

        DocumentWindow wnd1 = new DocumentWindow();
        DocumentWindow wnd2 = new DocumentWindow();
        DocumentWindow wnd3 = new DocumentWindow();

        private void radButton1_Click(object sender, EventArgs e)
        {
            radDock1.AddDocument(wnd1);

            radDock1.AddDocument(wnd2);

            radDock1.AddDocument(wnd3);
        }

        private void radButton2_Click(object sender, EventArgs e)
        {
            foreach (var item in radDock1.DockWindows.DocumentWindows)
            {
                item.DockState = DockState.Floating;
            }
        }

        private void radButton3_Click(object sender, EventArgs e)
        {
            foreach (var item in radDock1.DockWindows.DocumentWindows)
            {
                item.DockState = DockState.Hidden;
            }
        }

        private void radButton4_Click(object sender, EventArgs e)
        {
            
            radDock1.AddDocument(wnd1);
        }
    }
}